#!/bin/bash
#
# track orbit
root='hkick3_sext'
hk=1.e-3
echo '# hkick='$hk > $root'_summary.txt'
echo '# hkick='$hk > $root'_values.txt'
for i in 10 20 50 100 200 500 ; do
   nbr=$( printf '%03d' $i )
   k2=$i'.e-2'
   elegant $root.ele -macro=nbr=$nbr -macro=k2=$k2 > $root$nbr.txt
   # combine files
   rm $root$nbr.wa
   sddscombine $root$nbr-???.wt $root$nbr.wa
   sddsprintout $root$nbr.wa temp.txt -parameters=s -columns='(x,xp,y,yp,t,p)',format='%16.12g' -noLabels 
   awk '(NF>0 && NR>1)' temp.txt | awk 'NR%2{printf "%s ",$0;next}{print;}' > $root$nbr'_orbit.txt'
   tail -1 $root$nbr'_orbit.txt' >> $root'_summary.txt'
   echo $i >> $root'_values.txt'
done

paste $root'_values.txt' $root'_summary.txt' > $root'_data.txt'

